Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::G::Signal Class Reference

Base class for the GTK+ C++ signal interface. More...

`#include <inti/glib/signals.h>`

Inheritance diagram for Inti::G::Signal:

List of all members.

## Public Member Functions

- Signal (const char *name)
    Constructor.
- ~Signal ()
    Destructor.
- const char * name () const
    Returns the name of the signal.

## Detailed Description

Base class for the GTK+ C++ signal interface.

The documentation for this class was generated from the following file:

- glib/signals.h

Main Page - Footer